'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 备注表
const remark = {
  remarkid: { type: ObjectId, required: true }, // 做 备注人id
  benoteid: { type: ObjectId, required: true }, // 被 备注人id
  name: { type: String, required: true }, // 备注名称
  create_time: { type: String, default: moment().format('YYYY-MM-DD HH:mm:ss') },
};
const schema = new Schema(remark, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('remark', schema, 'remark');
};
